Difference between revisions of "Draft BezCurve/it"

From FreeCAD Documentation
Jump to: navigation, search
(Replaced content with "== Opzioni ==")
Line 39: Line 39:
 
== Opzioni ==
 
== Opzioni ==
  
<div class="mw-translate-fuzzy">
+
* Premere il tasto {{KEY|A}} o il pulsante {{Button|[[Image:Draft FinishLine.png|12px]] [[Draft_FinishLine/it|Termina]]}} per terminare la curva, lasciandola aperta.
* Premere {{KEY|F}} o il pulsante {{KEY|[[Image:Draft FinishLine.png|12px]] '''[[Draft_FinishLine/it|Finisci]]'''}} per interrompere la spline lasciandola aperta
+
* Premere il tasto {{KEY|O}} o il pulsante {{Button|[[Image:Draft CloseLine.png|12px]] [[Draft_CloseLine|Chiudi]]}} per chiudere la curva, cioè per aggiungere un segmento dall'ultimo punto al primo per formare una faccia. Per formare una faccia sono necessari almeno quattro punti, e una curva di grado tre.
* Premere {{KEY|C}} o il pulsante {{KEY|[[Image:Draft CloseLine.png|12px]] '''[[Draft_CloseLine/it|Chiudi]]'''}} o fare clic sul primo punto per terminare la spline, ma rendendola chiusa con l'aggiunta di un ultimo segmento tra l'ultimo punto e il primo.
+
* Premere il tasto {{KEY|W}} o il pulsante {{Button|[[Image:Draft Wipe.svg|12px]] [[Draft_Wipe|Pulisci]]}} per rimuovere i segmenti della curva già posizionati, ma continuare a creare la curva dall'ultimo punto.
* Premere {{KEY|X}}, {{KEY|Y}} o {{KEY|Z}} dopo un punto per vincolare il punto successivo sull'asse dato.
+
* Premere il tasto {{KEY|U}} o il pulsante {{Button|[[Image:Draft SelectPlane.svg|12px]] [[Draft_SelectPlane/it|Imposta il piano]]}} per posizionare il piano di lavoro corrente nell'orientamento dell'ultimo punto.
* Per inserire manualmente le coordinate, è sufficiente inserire i valori, quindi premere {{KEY|ENTER}} per ciascun componente X, Y e Z.
+
* Premere il tasto {{KEY|X}}, o {{KEY|Y}} o {{KEY|Z}} dopo un punto per vincolare il successivo punto sul dato asse.
* Premere {{KEY|R}} o cliccare nella casella per selezionare o deselezionare il pulsante {{KEY|'''Relativo'''}}. Se la modalità relativa è attivo, le coordinate del punto successivo sono relative all'ultimo. In caso contrario, esse sono assolute, prese dal punto di origine (0,0,0).
+
* Per inserire le coordinate manualmente, basta inserire i valori e poi premere {{KEY|Invio}} per ciascun componente X, Y e Z.
* Premere {{KEY/it|T}} oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità {{KEY/it|Continua}}. In modalità '''Continua''', al termine dell'operazione, lo strumento Curva di Bezier si riavvia automaticamente e permette di disegnare una nuova curva senza dover ripetere il comando.
+
* Premere il tasto {{KEY|R}} oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
* Premere {{KEY/it|CTRL}} mentre si disegna per [[Draft_Snap/it|ancorare]] il proprio punto al punto agganciabile più vicino, indipendentemente dalla distanza.
+
* Premere il tasto {{KEY|T}} oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Curva di Bézier si riavvia dopo aver terminato la Curva di Bézier in costruzione, e consente di disegnare una nuova Curva di Bézier senza premere nuovamente il pulsante dello strumento.
* Premere {{KEY/it|SHIFT}} mentre si disegna per [[Draft_Constrain/it|vincolare]] orizzontalmente o verticalmente il secondo punto rispetto al primo.
+
* Premere il tasto {{KEY|L}} oppure fare clic sulla casella di controllo per attivare la modalità ''riempito''. Se la modalità di riempimento è attiva una Curva di Bézier chiusa crea una faccia piena ({{PropertyData|Make Face}} {{TRUE}}); in caso contrario, la Curva di Bézier chiusa non crea una faccia ({{PropertyData|Make Face}} {{FALSE}}).
* Premere {{KEY/it|W}} o il pulsante {{KEY/it|[[Image:Draft Wipe.png|12px]] Pulisci}} per rimuovere i segmenti esistenti e avviare la spline dall'ultimo punto.
+
:{{Emphasis|Nota:}} la curva non deve essere riempita se si autointerseca, in quanto non crea una faccia corretta. Se la curva è piena ma non è visibile nessuna forma, impostare manualmente {{PropertyData|Make Face}} su {{FALSE}} per vedere la spline.
* Premere {{KEY/it|CTRL}}+{{KEY/it|Z}} o premere il pulsante {{KEY/it|[[Image:Draft UndoLine.png|12px]] [[Draft_UndoLine|Annulla]]}} per annullare l'ultimo punto inserito. Questa opzione permette di annullare a ritroso tutti i punti.
+
* Tenere premuto {{KEY|Ctrl}} mentre si disegna per forzare [[Draft_Snap|l'aggancio]] del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
* Premere {{KEY/it|ESC}} o premere il pulsante {{KEY/it|Cancella}} per uscire dal comando Curva di Bezier.
+
* Tenere premuto {{KEY|Maiusc}} mentre si disegna per [[Draft_Constrain|vincolare]] il punto successivo in orizzontale o in verticale rispetto all'ultimo.
</div>
+
* Premere {{KEY|Ctrl}}+{{KEY|Z}} o il pulsante {{Button|[[Image:Draft UndoLine.png|12px]] [[Draft_UndoLine/it|Undo]]}} per annullare l'ultimo punto.
 +
* Premere il tasto {{KEY|Esc}} o il pulsante {{button|Chiudi}} per interrompere il comando corrente; le curve già posizionate rimamgono.
  
 
=== Proprietà ===
 
=== Proprietà ===

Revision as of 19:34, 25 April 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Facebinder.svg Lega facce Pagina precedente:
Pagina successiva: Etichetta Draft Label.svg Arrow-right.svg

Draft BezCurve.svg Curva di Bezier

Posizione nel menu
Draft → Curva di Bézier
Ambiente
Draft, Arch
Avvio veloce
B Z
Introdotto nella versione
0.14
Vedere anche
Polilinea, B-spline


Descrizione

Lo strumento Curva di Bézier crea una Curva di Bezier, o un suo tratto, da più punti. Assume lo spessore e il colore precedentemente impostati nella Barra dei comandi del Vassoio di Draft.

Lo strumento Curva di Bezier utilizza i punti di controllo per definire la direzione della curva; invece lo strumento B-spline specifica i punti esatti attraverso i quali deve passare la curva. Per creare curve circolari o ellittiche esatte, usare Arco e Ellisse.

Draft BezCurve Example.png

Curva di Bézier definita da più punti di controllo


Utilizzo

  1. Premere il pulsante Draft BezCurve.png Curva di Bézier, o premere i tasti B e poi Z.
  2. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Selezionare un nuovo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  4. Premere il tasto Esc o il pulsante Chiudi, o fare doppio clic sull'ultimo punto per terminare l'edizione.

L'oggetto viene creato come una unica curva di Bezier di grado uguale a number_of_points - 1 (al numero di punti - 1). Dopo la creazione può essere commutato in tratti di curva di Bezier di determinato grado modificando le sue proprietà.

La Curva di Bézier può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si possono spostare i punti in una nuova posizione o fare clic su Draft AddPoint.svg aggiungi punto o Draft DelPoint.svg rimuovi punto e quindi fare clic sulla curva per aggiungere o rimuovere punti. Si può anche cambiare il tipo di vincolo di ogni punto.

Vincolare i nodi

I punti finali del segmento possono essere vincolati in modo tale che i punti di controllo adiacenti siano tangenti o simmetrici rispetto ai segmenti nel punto finale. Iniziare a modificare la curva, poi scegliere uno degli strumenti e quindi scegliere un punto. Fare nuovamente clic sullo strumento per disattivarlo, in modo da poter spostare il punto.

  • Draft BezSharpNode.svg sharp (crea nodo Bezier spigoloso) rimuove i vincoli sui punti in modo che la curva possa avere spigoli vivi.
  • Draft BezTanNode.svg tangent (crea nodo Bezier tangente) forza i punti di controllo adiacenti a essere tangenti.
  • Draft BezSymNode.svg symmetric (crea nodo Bezier simmetrico) forza i punti di controllo adiacenti a essere tangenti ed equidistanti.

Limitazioni

  • Le proprietà Punti non compaiono ancora nell'elenco delle proprietà.
  • OpenCascade, e quindi FreeCAD, non supporta le curve di Bézier di grado superiore a 25. Questo non dovrebbe essere un problema nella pratica, poiché la maggior parte degli utenti usa tipicamente le curve di Bézier da 3 a 5 gradi.

Opzioni

  • Premere il tasto A o il pulsante Draft FinishLine.png Termina per terminare la curva, lasciandola aperta.
  • Premere il tasto O o il pulsante Draft CloseLine.png Chiudi per chiudere la curva, cioè per aggiungere un segmento dall'ultimo punto al primo per formare una faccia. Per formare una faccia sono necessari almeno quattro punti, e una curva di grado tre.
  • Premere il tasto W o il pulsante Draft Wipe.svg Pulisci per rimuovere i segmenti della curva già posizionati, ma continuare a creare la curva dall'ultimo punto.
  • Premere il tasto U o il pulsante Draft SelectPlane.svg Imposta il piano per posizionare il piano di lavoro corrente nell'orientamento dell'ultimo punto.
  • Premere il tasto X, o Y o Z dopo un punto per vincolare il successivo punto sul dato asse.
  • Per inserire le coordinate manualmente, basta inserire i valori e poi premere Invio per ciascun componente X, Y e Z.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Curva di Bézier si riavvia dopo aver terminato la Curva di Bézier in costruzione, e consente di disegnare una nuova Curva di Bézier senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva una Curva di Bézier chiusa crea una faccia piena (DATAMake Face True); in caso contrario, la Curva di Bézier chiusa non crea una faccia (DATAMake Face False).
Nota: la curva non deve essere riempita se si autointerseca, in quanto non crea una faccia corretta. Se la curva è piena ma non è visibile nessuna forma, impostare manualmente DATAMake Face su False per vedere la spline.
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il punto successivo in orizzontale o in verticale rispetto all'ultimo.
  • Premere Ctrl+Z o il pulsante Draft UndoLine.png Undo per annullare l'ultimo punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente; le curve già posizionate rimamgono.

Proprietà

Data

  • DATADegree: specifies the degree of the Bezier curve or the individual segments.
  • DATAClosed: specifies if the curve is closed or not. If the curve is initially open, this value is False; setting it to True will draw a segment to close the curve. If the curve is initially closed, this value is True; setting it to False will remove the last segment, and make the curve open.
  • DATAMake Face: specifies if the curve makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the curve intersects itself, as it won't create a proper face.
  • DATAContinuity: (read-only) when the curve is closed, indicates the continuity of the curve [0], or [0,0]. Otherwise it's [].

View

  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the curve.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the curve, which can be dot, circle, arrow, and tick.
  • VIEWEnd Arrow: specifies whether to show a symbol at the last point of the curve, so it can be used as an annotation line.
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the closed curve. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

Lo strumento Curva di Bezier può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

BezCurve = makeBezCurve(pointslist, closed=False, placement=None, face=None, support=None, Degree=None)
BezCurve = makeBezCurve(Part.Wire, closed=False, placement=None, face=None, support=None, Degree=None)
  • Crea un oggetto curva di Bezier dalla lista di vettori dati. Invece di un pointslist, si può anche passare una Part Wire.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)
p4 = FreeCAD.Vector(1500, -2000, 0)

BezCurve1 = Draft.makeBezCurve([p1, p2, p3, p4], closed=True)
BezCurve2 = Draft.makeBezCurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
BezCurve3 = Draft.makeBezCurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)
Arrow-left.svg Previous: Draft Facebinder.svg Facebinder
Next: Label Draft Label.svg Arrow-right.svg